if not classicHeals then
	classicHeals = {};
end
local ch = classicHeals;

local LOCALE_ENGLISH = "enUS";
local LOCALE_GERMAN = "deDE";
local LOCALE_DEFAULT = LOCALE_ENGLISH;

ch.LKEY_ADDONLOADED 			= 0;
ch.LKEY_FULL 					= 1;
ch.LKEY_YES 					= 2;
ch.LKEY_NO 						= 3;
ch.LKEY_COMMANDS 				= 1001;
ch.LKEY_COMMANDS_CRF	 		= 1002;
ch.LKEY_COMMANDS_CRF_SET	 	= 1003;
ch.LKEY_COMMANDS_FONTSIZE 		= 1004;
ch.LKEY_COMMANDS_FONTSIZE_SET 	= 1005;
ch.LKEY_COMMANDS_OVERHEAL 		= 1006;
ch.LKEY_COMMANDS_OVERHEAL_SET 	= 1007;

local currentLocale = GetLocale();
local allLanguages = {};

allLanguages[LOCALE_ENGLISH] = {};
allLanguages[LOCALE_ENGLISH][ch.LKEY_ADDONLOADED] 					= "AddOn loaded. Type /classicheals for options.";
allLanguages[LOCALE_ENGLISH][ch.LKEY_FULL] 							= "full";
allLanguages[LOCALE_ENGLISH][ch.LKEY_YES] 							= "yes";
allLanguages[LOCALE_ENGLISH][ch.LKEY_NO] 							= "no";
allLanguages[LOCALE_ENGLISH][ch.LKEY_COMMANDS] 						= "Unknown command. Possible parameters are: /classicheals ...";
allLanguages[LOCALE_ENGLISH][ch.LKEY_COMMANDS_CRF] 					= "... crf -> toggles whether default compact raid frames are displayed or not";
allLanguages[LOCALE_ENGLISH][ch.LKEY_COMMANDS_CRF_SET] 				= "Compact raid frames are displayed: ";
allLanguages[LOCALE_ENGLISH][ch.LKEY_COMMANDS_FONTSIZE] 			= "... fontsize [number] -> sets displayed font size to given number (values between 10 and 20; default: 16)";
allLanguages[LOCALE_ENGLISH][ch.LKEY_COMMANDS_FONTSIZE_SET] 		= "Font size set to: ";
allLanguages[LOCALE_ENGLISH][ch.LKEY_COMMANDS_OVERHEAL] 			= "... overheal -> toggles overheal display";
allLanguages[LOCALE_ENGLISH][ch.LKEY_COMMANDS_OVERHEAL_SET] 		= "Overheal will be displayed: ";

allLanguages[LOCALE_GERMAN] = {};
allLanguages[LOCALE_GERMAN][ch.LKEY_ADDONLOADED] 					= "AddOn geladen. Tippe /classicheals für Optionen.";
allLanguages[LOCALE_GERMAN][ch.LKEY_FULL] 							= "voll";
allLanguages[LOCALE_GERMAN][ch.LKEY_YES] 							= "ja";
allLanguages[LOCALE_GERMAN][ch.LKEY_NO] 							= "nein";
allLanguages[LOCALE_GERMAN][ch.LKEY_COMMANDS] 						= "Unbekannter Befehl. Mögliche Parameter sind: /classicheals ...";
allLanguages[LOCALE_GERMAN][ch.LKEY_COMMANDS_CRF] 					= "... crf -> schaltet um, ob die Standard-Compact Raid Frames angezeigt werden oder nicht";
allLanguages[LOCALE_GERMAN][ch.LKEY_COMMANDS_CRF_SET] 				= "Standard-Compact Raid Frames werden angezeigt: ";
allLanguages[LOCALE_GERMAN][ch.LKEY_COMMANDS_FONTSIZE] 				= "... fontsize [Zahl] -> setzt die angezeigte Schriftgröße auf die angegebene Zahl (Werte zwischen 10 und 20; Standard: 16)";
allLanguages[LOCALE_GERMAN][ch.LKEY_COMMANDS_FONTSIZE_SET] 			= "Schriftgröße festgelegt auf: ";
allLanguages[LOCALE_GERMAN][ch.LKEY_COMMANDS_OVERHEAL] 				= "... overheal -> schaltet um, ob Overheal angezeigt wird";
allLanguages[LOCALE_GERMAN][ch.LKEY_COMMANDS_OVERHEAL_SET] 			= "Overheal wird angezeigt: ";

function ch:GetText(key, locale)
	if locale == nil then
		locale = currentLocale;
	end

	local L = allLanguages[locale];	
	if L == nil then
		L = allLanguages[LOCALE_DEFAULT];
	end

	if L[key] == nil then
		return "[unknown text tag]";
	end
	
	return L[key];
end

